import request from '@/utils/request'

// 查询发票申请列表
export function listSysInvoice(query) {
  return request({
    url: '/market/sysInvoic/list',
    method: 'get',
    params: query
  })
}

// 查询发票申请详细
export function getSysInvoice(orderId) {
  return request({
    url: '/market/sysInvoic/' + orderId,
    method: 'get'
  })
}

// 新增发票申请
export function addSysInvoice(data) {
  return request({
    url: '/market/sysInvoic',
    method: 'post',
    data: data
  })
}

// 修改发票申请
export function updateSysInvoice(data) {
  return request({
    url: '/market/sysInvoic',
    method: 'put',
    data: data
  })
}

// 删除发票申请
export function delSysInvoice(orderId) {
  return request({
    url: '/market/sysInvoic/' + orderId,
    method: 'delete'
  })
}
